extends ../_docs-template

block vars
  - var activeLink = 'vue';
  - var title = 'Toggle Vue Component | Framework7 Vue Documentation';

block docs-index

block content

  .docs-nav
    include ../_docs-menu-vue
  .docs-content
    .motion-docs-page-title
      h1 Toggle Vue Component
      script(src="/js/motion/toggle.js")
      f7-motion-toggle(motion)

    p Toggle Vue component represents <a href="../docs/toggle.html">Toggle</a> component.
    h2 Toggle Components
    p There are following components included:
    ul
      li `f7-toggle`
    h2 Toggle Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          th(colspan="4") &lt;f7-toggle&gt; properties
        tr
          td init
          td boolean
          td true
          td Initializes Toggle
        tr
          td name
          td string
          td
          td Toggle input name
        tr
          td value
          td string<br>number
          td
          td Toggle input value
        tr
          td checked
          td boolean
          td false
          td Defines whether the toggle input is checked or not
        tr
          td disabled
          td boolean
          td false
          td Defines whether the toggle input is disabled or not
        tr
          td readonly
          td boolean
          td false
          td Defines whether the toggle input is readonly or not
        tr
          td tooltip
          td string
          td
          td <a href="../docs/tooltip.html">tooltip</a> text to show on hover/press
        tr
          td tooltip-trigger
          td string
          td hover
          td Defines how to trigger (open) Tooltip. Can be `hover`, `click` or `manual`
    h2 Toggle Events
    table.events-table
      thead
        tr
          th Event
          th Description
      tbody
        tr
          th(colspan="2") &lt;f7-toggle&gt; events
        tr
          td change
          td Event will be triggered when toggle checkbox state changed. This event may not occur on touch devices, so it is better to use next `toggle:change` event instead
        tr
          td toggle:change
          td Event will be triggered when toggle checkbox state changed
    h2 Toggle Methods
    table.methods-table
        tr
          th(colspan="2") &lt;f7-toggle&gt; methods
        tr
          td .toggle()
          td Toggle checkbox state
    h2 Toggle v-model
    p Toggle Vue component supports `v-model` on `checked` property:
    :code(lang="html")
      <template>
        <f7-page>
          <f7-toggle v-model:checked="jobIsDone" />
          <p>Job is done: {{ jobIsDone }}</p>
        </f7-page>
      </template>
      <script>
        export default {
          data() {
            return {
              jobIsDone: false,
            };
          }
        };
      </script>

    h2 Examples
    +examplePreview('vue', 'toggle.vue', 'toggle')
